import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'flutter_paid_method_channel.dart';

abstract class FlutterPaidPlatform extends PlatformInterface {
  /// Constructs a FlutterPaidPlatform.
  FlutterPaidPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterPaidPlatform _instance = MethodChannelFlutterPaid();

  /// The default instance of [FlutterPaidPlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterPaid].
  static FlutterPaidPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterPaidPlatform] when
  /// they register themselves.
  static set instance(FlutterPaidPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
  Future<String?> paid() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
